Follow

This is why we can't have nice things, I *just* wanted to install a package...

Error: LuaRocks 3.8.0 bug (please report at github.com/luarocks/luarocks/i). Arch.: linux-x86_64 /usr/share/lua/5.4/ssl/https.lua:66: bad argument #2 to 'method' (string expected, got light userdata) stack traceback: [C]: in function 'socket.http.request' /usr/share/lua/5.4/ssl/https.lua:132: in function 'ssl.https.request' /usr/share/lua/5.4/luarocks/fs/lua.lua:729: in upvalue 'request'

I wanted to install Kaitai struct to parse a binary format in Lua. The generated code had a cyclic dependency loop leading to `require` recursive stack overflow. Seeing they have tests, I tried running the CI suite for Lua, realising I'm missing Luaunit, leading me to debugging issues with Luarocks due to older luasec install.

It turns out I was unable to run tests successfully for *any* language I tried (Java, Nim, Go, ...) so I ended up `rm -rf`ing that thing.

I *just* want to read a file...

Sign in to participate in the conversation
Mastodon

The social network of the future: No ads, no corporate surveillance, ethical design, and decentralization! Own your data with Mastodon!